package oracle.byop.maf.data.collections.readonly;

import java.util.ArrayList;

import oracle.byop.maf.data.entities.CreditRating;

/**
 *  
 * Title:   Bring Your Own Project (BYOP): Hackathon 
 * Schema:  ADF Summit
 * Type:    Service Object with hard-coded sample data
 * 
 * 
 * @author Frank Nimphius - August, 2014
 *  */

public class CreditRatingsRO {
    
    private CreditRating[] creditRatings = new CreditRating[4];
    
    public CreditRatingsRO() {
        super();
        
        creditRatings[0]=(createRating(new Integer(1),"Excellent", "Always pays on time"));
        creditRatings[1]= (createRating(new Integer(2),"FGood", "Consistently pays on time"));
        creditRatings[2]=(createRating(new Integer(3),"Fair", "Spotty Payment Record"));
        creditRatings[3]=(createRating(new Integer(4),"Poor", "Never pays on time"));
    }
  
    
    //create credit rating
    private CreditRating createRating(Integer id, String creditRating, String description){
        return new CreditRating(id, creditRating,description);
    }


    public void setCreditRatings(CreditRating[] creditRatings) { }

    public CreditRating[] getCreditRatings() {
        return creditRatings;
    }
}
